@import url('https://fonts.googleapis.com/css2?family=Baloo+Paaji+2:wght@400..800&family=Caveat:wght@400..700&family=Dancing+Script:wght@400..700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Itim&family=K2D:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&family=Noto+Sans+Linear+A&family=Noto+Sans+PhagsPa&family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Sacramento&family=Satisfy&family=Tangerine:wght@400;700&family=Tsukimi+Rounded&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*{
    margin: 0;
    padding: 0;
}
.flashscreen{
    box-sizing: border-box;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fafafa;
    position: absolute;
    top: 0;
    z-index: 20;
}
.flashscreen span{
    font-family: "Satisfy", cursive;
    font-size: 20px;
    color: #DB8900;
    
}
.maincontainer *{
    box-sizing: border-box;
}
.maincontainer{
    height: 100vh;
    width: 100%;
    overflow-y: scroll;
    /* border: 1px solid black; */
    position: relative;
}
.maincontainer::-webkit-scrollbar{
    width: 7px;
}
.maincontainer::-webkit-scrollbar-thumb{
    height: 15px;
    width: 15px;
    border-radius: 50%;
    background: linear-gradient(to bottom,white,#DB8900,white);
}
.navbar_div{
    position: sticky;
    top: 0;
    z-index: 18;
}
.container1{
    height: 82vh;
    /* border: 1px solid red; */
}

.container1 #carouselExampleIndicators{
    height: 100%;
    width: 100%;
}
.carousel-inner{
    height: 100%;
    width: 100%;
    background-size:cover;
    background-position: center;
}
.carousel-item{
    height: 100%;
    width: 100%;
    
}
.carousel-inner img{
    width: 100%;  
    /* border: 1px solid red; */
}

.container1 .carousel-indicators{
    width: 150px;
    position: absolute;
    right: 0;
    left: unset;
    /* border: 1px solid red; */
    margin-right: 0;
}
.container1 .carousel-indicators [data-bs-target]{
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background-color: #DB8900;

}
.container1 .carousel-indicators button{
    height: 10px;
    width: 10px;
    border-radius: 50%;
}



/* Continer2 */
.container2{
    height: 60vh;
    width: clamp(700px,100%,1265px);
    display: flex;
    align-items: center;
    justify-content: center;
    /* border: 1px solid red; */
    position: relative;
    margin: 0 auto;
    gap: 2vw;
}
.items_container2{
    height: 200px;
    width: 170px;
    /* border: 1px solid rgb(156, 156, 156); */
    border-radius: 50% 50% 0 0;
    background-color: #E5E5E5;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    margin: 0 1vw;
}
.sec1_items_container2{
    height: 200px;
    width: 100%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    transform: translateY(-20%);
}
.sec1_items_container2 img{
    height: 100%;
    width: auto;
}
.sec2_items_container2{
    height: 40%;
    width: 100%;
    position: absolute;
    bottom: 0;
    /* border: 1px solid red; */
    transform: translateY(15%);
    background: linear-gradient(to top,white 0%,#f2f5f8ee 70%,#f2f5f867 90%,#f2f5f80e 100%);
}
.items_container2 span{
    position: absolute;
    bottom: 0;
    font-family: "Caveat", cursive;
    font-size: 30px;
    transform: translateY(10px);
}

.productviewcontainer{
    height: fit-content;
    width: clamp(700px,100%,1265px);
    /* border: 1px solid red; */
    margin: 5vh auto;
}
.heading_productviewcontainer{
    height: 30px;
    width: 150px;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Inter", sans-serif;
    font-size: clamp(10px,1.1vw,14px);
    background: linear-gradient(to right, #FFCA28,white);
}
.body_productviewcontainer{
    /* height: 1050px; */
    height: fit-content;
    /* border: 1px solid red; */
    padding: 1vw 2vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 2vw;
    overflow: hidden;
}
.productimage{
    height: 200px;
    width: 150px;
    /* border: 1px solid red; */
    overflow: hidden;
    border-radius: 0.5vw;
    display: flex;
    align-items: center;
    justify-content: center;
}
.productimage img{
    height: 100%;
    mix-blend-mode: multiply;
    border-radius: 0.5vw;
    cursor: pointer;
}

/* container5 */
.container5{
    height: 60vh;
    width: 100%;
    /* border: 1px solid red; */
    margin: 5vh 0;
    margin-bottom: 10vh;
}
.container5 #carouselExampleIndicators{
    height: 100%;
    width: 100%;
}
.container5 .carousel-inner{
    height: 100%;
    width: 100%;
}
.container5 .carousel-item{
    height: 100%;
    width: 100%;
}

/* Container6 */
.container6{
    margin-top: 5vh;
}
.container7 .sec1_container7{
    width: 200px;
}
.container11{
    height: 95vh;
    width: 100%;
    /* border: 1px solid red; */
    margin-top: 5vh;
    /* margin-bottom: 15vh; */
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}
.container11 img{
    width: 100%;
}
.heading_container11{
    position: absolute;
    top: 0;
    font-family: "Dancing Script", cursive;
    font-size: 25px;
    color: white;
    margin-top: 3%;
}
.body_container11{
    height: 70%;
    width: 100%;
    /* border: 1px solid white; */
    position: absolute;
    bottom: 0;
    padding: 1vw;
    font-family: "Inter", sans-serif;
    color: white;
    font-weight: 300;
    font-size: clamp(8px,1.1vw,18px);
}
.body_container11 li{
    margin: 0.7vw 0;
    
}
.body_container11 li::marker{
    font-size: clamp(10px,1.7vw,30px);
}
.buttondiv_body_container11{
    height: 20%;
    width: 100%;
    padding: 0 1vw;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
}
.buttondiv_body_container11 button{
    height: 30px;
    width: 120px;
    font-family: "Inter", sans-serif;
    font-size: clamp(8px,1vw,11px);
    border: none;
    border-radius: 0.2vw;

}

/* container12 */
.container12{
    height: 15vh;
    width: 100%;
    /* border: 1px solid red; */
    margin-bottom: 5vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.sub_container12{
    height: 100%;
    width: 15%;
    /* border: 1px solid red; */
}
.icons_sub_container12{
    height: 70%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
}
.icons_sub_container12 svg{
    height: 40px;
}
.text_sub_container12{
    height: 30%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Inter", sans-serif;
    font-size: clamp(8px,1vw,12px);

}
.text_sub_container12 svg{
    height: 15px;
}

.fastdeliveryicon svg{
    color:#FB8C00 ;
}
.securepaymenticon svg{
    color:#007BFF ;
}
.supporticon svg{
    color:#28A745 ;
}

/* Footer */
.footer_div{
    height: 60vh;
    width: 100%;
    /* border: 1px solid red; */
    background-color: #C1D1E0;
    padding-top: 5vh;
    box-sizing: border-box;
}
.sec1_footer_div{
    height: 70%;
    width: 100%;
    /* border: 1px solid white; */
    padding: 0 2vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.sub_sec1_footer_div{
    height: 100%;
    width: 15%;
    /* border: 1px solid red; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    font-family: "Inter", sans-serif;

}
.heading_sub_sec1_footer_div{
    height: 15%;
    width: 100%;
    /* border: 1px solid red; */
    font-size: clamp(8px,1.1vw,13px);
}
.body_sub_sec1_footer_div{
    height: 80%;
    width: 100%;
    /* border: 1px solid white; */
    font-size: clamp(8px,1vw,12px);
    display: flex;
    flex-direction: column;
}
.body_sub_sec1_footer_div a{
    text-decoration: none;
    color: rgb(37, 37, 37);
    font-size: clamp(8px,1vw,12px);
    margin-bottom: 5px;
}
.sociallinks_sub_sec1_footer_div{
    width: 12%;
    /* border: 1px solid white; */
}
.sociallinksdiv_footer{
    display: flex;
    flex-direction: row;
    /* justify-content: flex-end; */
}
.sociallinksdiv_footer a{
    margin-right: 15px;
}
.sociallinksdiv_footer svg{
    height: 25px;
    color: rgb(68, 68, 68);
}


.sec2_footer_div{
    height: 14%;
    border: 1px solid white;
    padding: 0 2vw;
    box-sizing: border-box;
    border-width: 1px 0;
    display: flex;
    align-items: center;
}
.sub1_sec2_footer_div{
    height: 100%;
    width: 50%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
}
.item_sub1_sec2_footer_div{
    height: 100%;
    width: fit-content;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    margin-right: 2vw;
    
}
.item_sub1_sec2_footer_div a{
    display: flex;
    align-items: center;
    font-size: clamp(8px,1vw,11px);
    color: rgb(39, 39, 39);
    text-decoration: none;
    font-weight: 500;
}
.item_sub1_sec2_footer_div a svg{
    height: 15px;
    margin-right: 10px;
    color: #034054;
}
.sub2_sec2_footer_div{
    height: 100%;
    width: 50%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.sub2_sec2_footer_div img{
    height: 55%;
}
.sec3_footer_div{
    height: 15%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: clamp(8px,1vw,11px);
    font-family: "Inter", sans-serif;
    /* border: 1px solid red; */
}




@media screen and (max-width:500px){
    /* Container1 */
    .container1{
        height: 17vh;
        /* border: 1px solid red; */
    }
    .container1.carousel-inner{
        height: 100%;
        width: 100%;
        /* border: 1px solid rgb(0, 4, 255); */
    }
    .container1.carousel-inner .carousel-item{
        height: 100%;
        width: 100%;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .container1.carousel-inner .carousel-item img{
        height: 100%;
    }
    .container1 .carousel-indicators{
        display: flex;
        justify-content: flex-end;
        transform: translate(-10px,15px);
    }
    .container1 .carousel-indicators [data-bs-target]{
        height: 5px;
        width: 5px;
    }

    /* Container2 */
    .container2{
        width: 100%;
        height: 45vh;
        /* border: 1px solid red; */
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        padding: 5vh 0;
        gap: 5vw;
    }
    .items_container2{
        height: 80px;
        width: 80px;
        /* border: 1px solid red; */
    }
    .sec1_items_container2{
        height: 90px;
    }
    .container2 .items_container2 span{
     font-size: 20px;
    }

    /* productviewcontainer */
    .productviewcontainer{
        height: fit-content;
        width: 100%;
        /* border: 1px solid red; */
    }
    .heading_productviewcontainer{
        height: 25px;
        width:100px ;
        font-size: 15px;
    }
    .body_productviewcontainer{
        margin-top: 2vh;
        height: 60vh;
    }
    .productimage{
        height: 150px;
        width: 113px;
    }
    .container5{
        height: 14vh;
        width: 100%;
    }
    .container5 #carouselExampleIndicators .carousel-indicators{
        margin-bottom: 10px;
    }
    .container5 #carouselExampleIndicators .carousel-indicators [data-bs-target]{
        height: 2px;
        width: 15px;
    }
    .container11{
        height: 20vh;
        overflow-x: hidden;
        display: flex;
        flex-direction: column;
        align-items: center;
        /* border: 1px solid red; */
    }
    .container11 img{
        height: 100%;
    }
    .heading_container11{
        font-size: 15px;
    }
    .description_body_container11 li{
        font-size: 7px;
        margin: 0;
    }
    .buttondiv_body_container11{
        padding-left: 2rem;
        transform: translateY(-5px);
    }
    .buttondiv_body_container11 button{
        height: 20px;
        width: 70px;
        font-size: 7px;
        border-radius: 0.5vw;
    }
    .container12{
        height: 15vh;
        margin-bottom: 0;
        /* border: 1px solid red; */
    }
    .sub_container12{
        height: 50%;
        width: 30%;
    }
    .icons_sub_container12 svg{
        height: 30px;
    }


    /* Footer */
    .footer_div{
        height: 82vh;
        /* padding: 2vw; */
        /* padding-top: 3vh; */
    }
    .sec1_footer_div{
        height: 76%;
        /* border: 1px solid red; */
        display: flex;
        flex-wrap: wrap;
        padding: 2vw;
    }
    .sub_sec1_footer_div{
        height: fit-content;
        width: 100%;
        /* border: 1px solid black; */
        display: flex;
        flex-direction: row;
        align-items: flex-start;
    }
    .heading_sub_sec1_footer_div{
        width: 30%;
    }
    .body_sub_sec1_footer_div{
        height: fit-content;
        /* width: 90%; */
    }
    .sec2_footer_div{
        height: 12%;
        /* border: 1px solid red; */
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 2vw;

    }
    .sub1_sec2_footer_div{
        height: 50%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }
    .sub2_sec2_footer_div{
        height: 50%;
        width: 100%;
    }
    .sub2_sec2_footer_div img{
        height: fit-content;
        width: 100%;
    }
    .sec3_footer_div{
        height: 10%;
    }
}

@media screen and (min-width:501px) and (max-width:1050px){
    .container1{
        height: 59vh;
        
    }
    .container2{
        height: 100vh;
        width: 100%;
        flex-wrap: wrap;
    }
    .items_container2{
        height: 160px;
        width: 170px;
    }
    .sec1_items_container2{
        height:160px ;
    }
    .container11{
        height: 64vh;

    }
}
@media screen and (min-height:870px) and (max-height:1400px){
    .container1{
        height: 383px;
        
    }
    .container2{
        height: 45vh;
    }
}